Bug 204162 - Review Request: perl-Heap - Perl extension for keeping data partially sorted
Summary: Review Request: perl-Heap - Perl extension for keeping data partially sorted
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-08-26 09:02 UTC by Patrice Dumas
Modified: 2014-03-03 15:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 07:39:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Patrice Dumas 2006-08-26 09:02:20 UTC
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Heap.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Heap-0.71-1.src.rpm
Description:

The Heap collection of modules provide routines that manage a heap of 
elements. A heap is a partially sorted structure that is always able to 
easily extract the smallest of the elements in the structure (or the 
largest if a reversed compare routine is provided).

If the collection of elements is changing dynamically, the heap has less 
overhead than keeping the collection fully sorted.

The elements must be objects as described in "Heap::Elem" and all 
elements inserted into one heap must be mutually compatible - either 
the same class exactly or else classes that differ only in ways unrelated 
to the Heap::Elem interface.

Comment 1 Chris Weyl 2006-08-28 16:20:50 UTC
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ source files match upstream:
 6934be7ffe351b3eea844d24a07ebc36  Heap-0.71.tar.gz
 6934be7ffe351b3eea844d24a07ebc36  Heap-0.71.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
+ package builds in mock (5/x86_64).
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Heap-0.71-1.fc5.noarch.rpm
 == rpmlint
 == provides
 perl(Heap) = 0.71
 perl(Heap::Binary) = 0.71
 perl(Heap::Binomial) = 0.71
 perl(Heap::Elem) = 0.71
 perl(Heap::Elem::Num) = 0.71
 perl(Heap::Elem::NumRev) = 0.71
 perl(Heap::Elem::Ref) = 0.71
 perl(Heap::Elem::RefRev) = 0.71
 perl(Heap::Elem::Str) = 0.71
 perl(Heap::Elem::StrRev) = 0.71
 perl(Heap::Fibonacci) = 0.71
 perl-Heap = 0.71-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
 perl(AutoLoader)
 perl(Exporter)
 perl(Heap::Fibonacci)
 perl(strict)
 perl(vars)
+ no shared libraries are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.

APPROVED

Comment 2 Patrice Dumas 2006-08-29 09:21:49 UTC
Actually this package allready exists in fedora extras cvs. But in 
the spec there is

Build disabled. Package is without maintainer and has never been built before.

The cvs log explains that this is a fire and forget package
that was never built, and the devel branch has been disabled. I did a 
resurection request at
http://fedoraproject.org/wiki/Extras/CVSSyncNeeded

This let you time to assign yourself to that bug ;-)

Comment 3 Chris Weyl 2006-08-29 15:45:53 UTC
Details, details... :)

Comment 4 Kevin Fenzi 2006-09-02 21:17:58 UTC
Whats the status of this package? 
I don't see it on CVSSyncNeeded any longer, but its still doesn't have CVS 
devel files or a owners.list entry. 

Can you just try importing it again over the old removed devel branch?
It looks like the files were totally removed from CVS, even the old 
revisions... 


Comment 5 Kevin Fenzi 2006-09-02 21:25:37 UTC
Oops. I just typoed. The old revsions are there just fine. 

cvs co perl-Heap
cvs co -r perl-Heap-0_71-1 perl-Heap/devel/
For more information on using the Fedora source code repositories, 
please visit http://fedoraproject.org/wiki/UsingCvs
U perl-Heap/devel/.cvsignore
U perl-Heap/devel/Makefile
U perl-Heap/devel/perl-Heap.spec
U perl-Heap/devel/sources

Now you have the last revision from cvs. Import your changes and check in, and 
don't forget to add to owners.list. 

Comment 6 Patrice Dumas 2006-09-12 07:39:05 UTC
It wasn't that easy since the tag perl-Heap-0_71-1 was sticky.
What I did was 
$ cvs up -r perl-Heap-0_71-1 devel
U devel/.cvsignore
U devel/Makefile
U devel/perl-Heap.spec
U devel/sources
$ cd devel
$ cvs up -A
cvs update: .cvsignore is no longer in the repository
cvs update: Makefile is no longer in the repository
cvs update: perl-Heap.spec is no longer in the repository
cvs update: sources is no longer in the repository
$ cvs add Makefile perl-Heap.spec sources .cvsignore
U Makefile
U perl-Heap.spec
U sources
U .cvsignore

At that point things were fine, no sticky tag, I could update the
files, commit and build.

Comment 7 Iain Arnell 2010-09-02 14:58:12 UTC
Package Change Request
======================
Package Name: perl-Heap
New Branches: el6
Owners: iarnell mmaslano

Marcela's agreement in #629633

Comment 8 Kevin Fenzi 2010-09-02 21:17:22 UTC
Git done (by process-git-requests).

Comment 9 Lubomir Rintel 2014-03-03 14:53:50 UTC
Package Change Request
======================
Package Name: perl-Heap
New Branches: epel7
Owners: lkundrak

The Fedora and EL6 maintainers are unfortunately not maintaining EPEL packages:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

Comment 10 Gwyn Ciesla 2014-03-03 15:21:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.